:root {
    --theme-accent-color: hsl(273, 79%, 46%);
    --theme-accent-color-light: hsl(273, 79%, 60%);
    --font-light-color: rgb(60, 60, 60);
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 16px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.image img {
    width: inherit;
    height: inherit;
    object-fit: fill;
}

.bold {
    font-weight: bold;
}

.body-wrapper {
    min-height: 100vh;
    display: grid;
    grid-template-columns: 1fr 4fr;
    grid-template-rows: min-content 1fr;
}

.header {
    background-color: azure;
}

.sidebar {
    background-color: var(--theme-accent-color);
    grid-row: 1 / 3;
    min-width: fit-content;
    padding: .5rem 1rem;
}

.sidebar .icon img {
    fill: white;
}

.main-content {
    background-color: rgb(226, 232, 240);
    box-shadow: inset 0 5px 5px rgba(0, 0, 0, .1);
}

.sidebar {
    display: grid;
    grid-template-rows: repeat(auto-fill, minmax(3rem, 1fr));
    align-items: center;
    color: white;
}

.sidebar .title {
    font-size: 1.2rem;
}

.sidebar .title .icon {
    width: 3rem;
    height: 3rem;
}

.sidebar .item {
    display: flex;
    align-items: center;
    cursor: pointer;
    border-radius: .5rem;
    transition: all .5s ease-in-out;
}

.sidebar .item:not(.title) {
    padding-left: .5rem;
}

.sidebar .item:hover {
    background-color: var(--theme-accent-color-light);
}

.icon {
    width: 2rem;
    height: 2rem;
    margin-right: 1rem;
    cursor: pointer;
}

.header {
    padding: 1rem 2rem;
    display: grid;
    align-items: stretch;
}

.upper-header {
    display: grid;
    grid-template-columns: 2fr 1fr;
    align-items: center;
    margin-bottom: 1rem;
}

.search-container {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 2rem 1fr;
}

.search-container input {
    margin: 0 1rem;
    background-color: rgb(218, 218, 218);
    border: none;
    border-radius: 1rem;
    padding: 0 1rem;
    color: var(--font-light-color);
    font-size: .9rem;
    transition: all .5s ease-in-out;
}

.search-container input:focus {
    outline-color: var(--theme-accent-color);
    background-color: white;
}

.image {
    border-radius: 50%;
    background-color: chartreuse;
}

.logged-user {
    display: grid;
    grid-template-columns: 3rem 4rem 1fr;
    align-items: center;
    margin-left: 1rem;
    justify-self: right;
}

.logged-user .image {
    width: 2.5rem;
    height: 2.5rem;
}

.lower-header {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

.user-info {
    display: grid;
    grid-template-columns: 5rem 1fr;
    align-items: center;
}

.user-info .profile-picture {
    width: 4rem;
    height: 4rem;
}

.greetings {
    display: grid;
    grid-template-rows: 1fr 1fr;
}

.greeting {
    font-size: .7rem;
    align-self: start;
}

button {
    margin-left: 1rem;
    margin-top: 1em;
    background-color: var(--theme-accent-color);
    color: white;
    border: none;
    border-radius: 2rem;
    font: inherit;
    font-size: .9rem;
    width: 6rem;
    padding: .5rem 0;
    cursor: pointer;
    transition: background-color .3s ease-in-out;
}

button:hover {
    background-color: var(--theme-accent-color-light);
}

button:active {
    scale: .9;
}

.project-buttons {
    justify-self: end;
}

.main-content {
    display: grid;
    grid-template-rows: min-content 1fr;
    grid-template-columns: 1fr 20rem;
    gap: 1rem;
    padding: 1rem;
}

.main-content .title {
    margin-bottom: 1rem;
}

.projects-container {
    grid-row: 1 / 3;
}

.card {
    background-color: white;
    border-radius: .5rem;
    padding: 1rem;
    color: var(--font-light-color);
    box-shadow: 2px 2px 5px;
}

.card .bold {
    color: black;
}

.announcement {
    font-size: .9rem;
    padding: 1rem 0;
}

.announcement:not(:first-child):not(:last-child) {
    border-top: 1px solid grey;
    border-bottom: 1px solid grey;
}

.trending {
    margin: 1rem 0;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.trending .image {
    width: 3rem;
    height: 3rem;
}

.projects {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));
    gap: 1rem;
}

.project-icons {
    display: flex;
    justify-content: end;
    margin-top: 1rem;
}

.project {
    position: relative;
    border-left: 10px solid orange;
    transition: all .5s ease-in-out
}

.project:hover {
    border-left: 10px solid var(--theme-accent-color);
    scale: 1.1;
    z-index: 1;
}

footer {
    grid-column: 1 / 3;
    display: flex;
    padding: 1rem;
    justify-content: center;
    background-color: grey;
}

footer a {
    color: white;
}